<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDeviceEditorNavigator: High Voltage Actions Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
  <meta content="Manuel Gonzalez Berges" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwHVAction.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2"><br>
This panel is used to set the value of one of the high voltage
parameters of all the devices in a hierarchy below the device passed as
parameter (including this device). Before setting the value, it is
checked whether the device has the required parameter. Only if the
parameter is present the value will be set.<br>
      <br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><br>
The user can press on of the available controls to set the a high
voltage parameter. Currently the following parameters are available:<br>
      <br>
      <ul>
        <li>Switch channels ON/OFF: switches ON or OFF all the channels
in the hierarchy below the device where the panel was opened.</li>
        <li>Set v0, v1, i0, i1, Ramp Up Speed, Ramp Down Speed, Trip
Time: set the corresponding high voltage parameter in all the channels
below in the hierarchy from the device where the panel was opened.</li>
      </ul>
As an example, let's imagine we have a crate, with two boards, each
with 16 channels. The actions panel is opened from the level of the crate and v0
is set, it will set it for all the 32 channels and will do nothing to
the boards or the crate. If the panel is open at the level of one of
the boards, it will set v0 for the 16 channels of that board, and will
do nothing to the 16 channels of the other board, the other board
itself or the crate.<br>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><br>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table align="center" border="0">
  <tbody>
    <tr>
      <td>
      <div align="center"><a name="Figure_1"></a><img alt=""
 src="fwHVAction.png"><br>
Figure 1. High voltage actions panel.<br>
      </div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpName</td>
      <td>Name of the device where the configuration will be changed.</td>
      <td>Required<br>
      </td>
    </tr>
    <tr>
      <td>$sHierarchyType</td>
      <td>Type of hierarchy where the panel is open. If no value is
specified, then fwDevice_HARDWARE is taken as default value.<br>
      </td>
      <td>Optional</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
